def convert(value, row):
    if not row['supstatex']:
         return 99
    
    try:
        return int(crosswalk['default'].convert(row['supstatex'].strip().lower()))
    except:
        log.write('sstate', [row['id'], row['rapstatex'], key, "state not recognized"])